/*
** Module   : WriteableName.java
** Abstract : An interface for holding the name assignment attribute related
**            methods
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 CS  20130204 Created initial version.
*/

package com.goldencode.p2j.util;

/**
 * Interface for handles in which the NAME attribute can be set.
 * <p>
 * Exposes the following Attributes and methods:
 * <table>
 * <tr>
 *    <th>attribute or method</th>
 *    <th>API</th>
 * </tr>
 * <tr>
 *    <td>NAME/td>
 *    <td>{@link #setName(String)}, 
 *        {@link #setName(character)}
 *    </td>
 * </tr>

 * </table>
 */
public interface WriteableName
{
   /**
    * Set the <code>name</code> attribute of handle.
    * 
    * @param name
    *        The name to be set.
    */
   public void setName(String name);
   
   /**
    * Set the <code>name</code> attribute of handle.
    * 
    * @param name
    *        The name to be set.
    */
   public void setName(character name);
}
